Subject: Re: [PATCH 0/2] net: Add Keystone NetCP ethernet driver support

From: Stephen Hemminger <[email-masked]>
Date: Tue, 22 Apr 2014 15:02:31 -0700

On Tue, 22 Apr 2014 17:21:13 -0400
Santosh Shilimkar <[email-masked]> wrote:

> NetCP driver has a plug-in module architecture where each of the NetCP
> sub-modules exist as a loadable kernel module which plug in to the netcp
> core. These sub-modules are represented as "netcp-devices" in the dts
> bindings. It is mandatory to have the ethernet switch sub-module for
> the ethernet interface to be operational. Any other sub-module like the
> PA is optional.

Where is the implementation of these modules. You need to include
this as separate patch set. Also the hooks for these modules should all
be EXPORT_SYMBOL_GPL() to disallow proprietary modules.
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html